Package org.eclipse.jdt.debug.core

# Interface IJavaWatchpoint

All Superinterfaces:
  `IAdaptable`, `IBreakpoint`, `IJavaBreakpoint`, `IJavaLineBreakpoint`, `ILineBreakpoint`, `ITriggerPoint`, `IWatchpoint`

public interface IJavaWatchpoint extends IJavaLineBreakpoint, IWatchpoint
A breakpoint on a field. If a watchpoint is an access watchpoint, it will suspend execution when its field is accessed. If a watchpoint is a modification watchpoint, it will suspend execution when its field is modified.

Since 3.1, `IJavaWatchpoint` also implements `IWatchpoint`.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint

`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

### Fields inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint

`SUSPEND_THREAD, SUSPEND_VM`

### Fields inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`TRIGGERPOINT`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFieldName()`
Returns the name of the field associated with this watchpoint
`boolean`
`isAccessSuspend(IDebugTarget target)`
Returns whether this breakpoint last suspended in this target due to an access (`true`) or modification (`false`).

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint

`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint

`addBreakpointListener, addInstanceFilter, getBreakpointListeners, getHitCount, getInstanceFilters, getSuspendPolicy, getThreadFilter, getThreadFilters, getTypeName, isInstalled, removeBreakpointListener, removeInstanceFilter, removeThreadFilter, setHitCount, setSuspendPolicy, setThreadFilter, supportsInstanceFilters, supportsThreadFilters`

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaLineBreakpoint

`getCondition, isConditionEnabled, isConditionSuspendOnTrue, setCondition, setConditionEnabled, setConditionSuspendOnTrue, supportsCondition`

### Methods inherited from interface org.eclipse.debug.core.model.ILineBreakpoint

`getCharEnd, getCharStart, getLineNumber`

### Methods inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`isTriggerPoint, setTriggerPoint`

### Methods inherited from interface org.eclipse.debug.core.model.IWatchpoint

`isAccess, isModification, setAccess, setModification, supportsAccess, supportsModification`

## Method Details

### getFieldName

String getFieldName() throws CoreException
Returns the name of the field associated with this watchpoint

Returns:
  field the name of the field on which this watchpoint is installed
Throws:
  `CoreException` - if unable to access the property on this breakpoint's underlying marker

### isAccessSuspend

boolean isAccessSuspend(IDebugTarget target)
Returns whether this breakpoint last suspended in this target due to an access (`true`) or modification (`false`).

Parameters:
  `target` - the debug target
Returns:
  `true` if this watchpoint last suspended the given target due to a field access; `false` if this watchpoint last suspended the given target due to a modification access or if this watchpoint hasn't suspended the given target.